Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: "brian m. carlson" <[email-masked]>
Date: Mon, 17 Nov 2025 22:09:50 +0000

On 2025-11-17 at 06:56:07, Junio C Hamano wrote:
> In addition to "cargo clippy" I reported earlier (and attempted to
> fix) in a separate message, we have been seeing constant failure of
> "win+Meson build" job at GitHub Actions CI.
> 
>   https://github.com/git/git/actions/runs/19414557042/job/55540901761#step:6:848
> 
> I attempted to build tonight's 'seen' without this topic and it
> seemed to stop.
> 
>   https://github.com/git/git/actions/runs/19418361570/job/55551045554
> 
> This topic may need a bit of help from those who are clueful with
> Rust and Windows.

I think that has been failing with Rust since well before my code came
in.  It has failed for me for a long time (well over a month), so I have
just ignored it.

I'm going to send v2 shortly, but we can squash in changes and do a v3
if there is something actually broken in this series.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA